### Method

# EDataCal DataCal respond_get_attachment_uris

since: 3.2

#### Declaration [src]

    void
    e_data_cal_respond_get_attachment_uris (
      EDataCal* cal,
      guint32 opid,
      GError* error,
      const GSList* attachment_uris
    )

#### Description [src]

Notifies listeners of the completion of the get_attachment_uris method call.

Available since: 3.2

#### Parameters

`opid`

  Type: `guint32`

  Associated operation id.

`error`

  Type: `GError`

  Operation error, if any, automatically freed if passed it.

  The argument can be `NULL`.
  The instance takes ownership of the data, and is responsible for freeing it.

`attachment_uris`

  Type: A list of `utf8`

  List of retrieved attachment uri’s.

  The data is owned by the caller of the method.
  Each element is a NUL terminated UTF-8 string.